<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'cerbercryptRoot', 'list', cerbercryptQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
</div>

<div class="tile">

	<bg:blockTitle title="Виртуальный кинотеатр"/>

	<div>${userCard.guiTitle}</div>

	<xsl:if test="card_list/@card &gt; 0">
		<!-- текущая подписка -->
		<xsl:choose>
			<xsl:when test="/data/@showarchive = 1">
				Архив всей подписки:<br/>
			</xsl:when>
			<xsl:otherwise>
				Текущая подписка:<br/>
			</xsl:otherwise>
		</xsl:choose>

		<div class="report">
			<table cellspacing='1' class="table800">
			<thead>
		  		<tr>
					<td nowrap='1'>Кинозал</td>
					<td>С часа</td>
					<td>По час</td>
					<td>Стоимость</td>
		  		</tr>
			</thead>
			<tbody>
		  		<xsl:for-each select="current_subscription/item">
				<tr>
					<xsl:if test="@packetisactive != 1">
						<xsl:attribute name="style">color: #8e8e8e;</xsl:attribute>
					</xsl:if>
					<td><xsl:value-of select="@packet"/></td>
					<td><xsl:value-of select="@date1"/></td>
					<td><xsl:value-of select="@date2"/></td>				
					<td><xsl:value-of select="@cost"/></td>
				</tr>
		  		</xsl:for-each>
			</tbody>
			</table>
		</div>

		<!--  показать архив -->
		<form method="post">
			<xsl:call-template name="action"/>
			<input type="hidden" name="showarchive" value="1"/>
			<input type="hidden" name="card" value="{/data/card_list/@card}"/>
			( <xsl:call-template name="submit_text">
				<xsl:with-param name="title" select="'показать архив'"/>
			</xsl:call-template> )
		</form>
		
		<br/>
		<!-- <table class="filter" cellspacing="0"><tr><td>
		Текущая стоимость:&#x0A;<xsl:value-of select="current_subscription/@cost"/>
		</td></tr></table>
	 	-->	 
	 
		<xsl:if test="future_subscription/item">
			Будущая активация:
			<div class="report">
			<!-- планы по смене подписки -->
			<table cellspacing='1' class="table800">
			<thead>
		  	<tr>
				<td nowrap='1'>Кинозал</td>
				<td>С часа</td>
				<td>По час</td>
				<td>Стоимость</td>
				<td>Удалить</td>
		  	</tr>
			</thead>
			<tbody>
		  		<xsl:for-each select="future_subscription/item">
				<tr>
					<td><xsl:value-of select="@packet"/></td>
					<td><xsl:value-of select="@date1"/></td>
					<td><xsl:value-of select="@date2"/></td>
					<td><xsl:value-of select="@cost"/></td>
					<td>
					<form method="post">
					<xsl:call-template name="action"/>
					<input type="hidden" name="command" value="delete"/>
					<input type="hidden" name="id" value="{@id}"/>
					<input type="hidden" name="card" value="{/data/card_list/@card}"/>
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="'Удалить'"/>
						<xsl:with-param name="align" select="'center'"/>
					</xsl:call-template>				
					</form>
					</td>
				</tr>
		  		</xsl:for-each>
			</tbody>
			</table>
			</div>
			<br/>
		</xsl:if>
		
		<!-- показываем только для активных карт -->
		<xsl:if test="/data/card_list/@cardisactive = 1">
		
		<form method="post"><!-- TODO непонятно - что это, куда это и как это работает, экшен где? O_o -->
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="type" value="activate"/>
		<input type="hidden" name="card"><xsl:attribute name="value"><xsl:value-of select="/data/card_list/@card"/></xsl:attribute></input>
		<!-- изменение подписки -->
		<table class="filter"><tr>
		  	<td>Активировать кинозал:</td>
			<td>
				<select class="gradbtn " name="packet">
					<xsl:for-each select="/data/packet_list/item">
						<option>
							<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
							<xsl:value-of select="@title"/>
						</option>
					</xsl:for-each>			
				</select>
			</td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Выполнить'"/>
				</xsl:call-template>
			</td>
		</tr></table>
		</form>
		
		<xsl:for-each select="activation">
		<form method="post"><!-- экшен где? -->
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="type" value="activate"/>
		<input type="hidden" name="card">
			<xsl:attribute name="value"><xsl:value-of select="/data/card_list/@card"/></xsl:attribute>
		</input>
		<input type="hidden" name="packet" value="{@packet}"/>
		<input type="hidden" name="activate" value="1"/>
		<table class="filter" cellspacing='0'><tr>
		  	<td>
				Вы действительно хотите активировать кинозал "<xsl:value-of select="@virtual_cinema"/>" <nobr>стоимостью <xsl:value-of select="@summ"/>?</nobr>
				<br/>Сумма будет списана с вашего счета.
			</td></tr><tr>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="align" select="'left'"/>
					<xsl:with-param name="title" select="'Активировать'"/>
				</xsl:call-template>
			</td>
		</tr></table>
		</form>
		</xsl:for-each>
		
		</xsl:if><!-- cardisactive -->
		
	</xsl:if>
